Closed Bug 808758 Opened 7 years ago Closed 7 years ago

Show compatibility error if an add-on uses nsIChromeFrameMessageManager

Categories

(addons.mozilla.org Graveyard :: Compatibility Tools, defect)

defect
Not set

Tracking

(Not tracked)

VERIFIED FIXED
2012-11-15

People

(Reporter: jorgev, Assigned: basta)

Details

(Whiteboard: [fx17])

As explained in bug 776825, the nsIChromeFrameMessageManager interface has been morphed into nsIMessageSender and other related interfaces. We need to flag all instances of this interface and show an error.

This is a compatibility error, so the add-on should not be upgraded in this case.

Message:

The nsIChromeFrameMessageManager interface has been removed, and the new Message Manager interfaces should be used instead. Read <LINK> for more information.

Link: http://mxr.mozilla.org/mozilla-beta/source/content/base/public/nsIMessageManager.idl

Affected add-on:

https://addons.mozilla.org/firefox/addon/tpage/
Bumped to 11-15 milestone for time and krupa.
Target Milestone: 2012-11-08 → 2012-11-15
Merged:

https://github.com/mozilla/amo-validator/commit/a03e0bb7f936b252dfd7caa9fbb6f7bcdd3e4682
Status: NEW → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
Product: addons.mozilla.org → addons.mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.